## mosquitto 2.0.15

=== obj-x86_64-linux-gnu/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named libmosquitto

# Build rule for target.
libmosquitto: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 libmosquitto
.PHONY : libmosquitto

# fast build rule for target.
libmosquitto/fast:
	$(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/build
.PHONY : libmosquitto/fast

#=============================================================================
# Target rules for targets named mosquittopp

# Build rule for target.
mosquittopp: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquittopp
.PHONY : mosquittopp

# fast build rule for target.
mosquittopp/fast:
	$(MAKE) $(MAKESILENT) -f lib/cpp/CMakeFiles/mosquittopp.dir/build.make lib/cpp/CMakeFiles/mosquittopp.dir/build
.PHONY : mosquittopp/fast

#=============================================================================
# Target rules for targets named mosquitto_pub

# Build rule for target.
mosquitto_pub: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_pub
.PHONY : mosquitto_pub

# fast build rule for target.
mosquitto_pub/fast:
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_pub.dir/build.make client/CMakeFiles/mosquitto_pub.dir/build
.PHONY : mosquitto_pub/fast

#=============================================================================
# Target rules for targets named mosquitto_sub

# Build rule for target.
mosquitto_sub: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_sub
.PHONY : mosquitto_sub

# fast build rule for target.
mosquitto_sub/fast:
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_sub.dir/build.make client/CMakeFiles/mosquitto_sub.dir/build
.PHONY : mosquitto_sub/fast

#=============================================================================
# Target rules for targets named mosquitto_rr

# Build rule for target.
mosquitto_rr: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_rr
.PHONY : mosquitto_rr

# fast build rule for target.
mosquitto_rr/fast:
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_rr.dir/build.make client/CMakeFiles/mosquitto_rr.dir/build
.PHONY : mosquitto_rr/fast

#=============================================================================
# Target rules for targets named mosquitto

# Build rule for target.
mosquitto: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto
.PHONY : mosquitto

# fast build rule for target.
mosquitto/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/mosquitto.dir/build.make src/CMakeFiles/mosquitto.dir/build
.PHONY : mosquitto/fast

#=============================================================================
# Target rules for targets named mosquitto_ctrl

# Build rule for target.
mosquitto_ctrl: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_ctrl
.PHONY : mosquitto_ctrl

# fast build rule for target.
mosquitto_ctrl/fast:
	$(MAKE) $(MAKESILENT) -f apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build.make apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build
.PHONY : mosquitto_ctrl/fast

#=============================================================================
# Target rules for targets named mosquitto_passwd

# Build rule for target.
mosquitto_passwd: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_passwd
.PHONY : mosquitto_passwd

# fast build rule for target.
mosquitto_passwd/fast:
	$(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build
.PHONY : mosquitto_passwd/fast

#=============================================================================
# Target rules for targets named mosquitto_dynamic_security

# Build rule for target.
mosquitto_dynamic_security: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_dynamic_security
.PHONY : mosquitto_dynamic_security

# fast build rule for target.
mosquitto_dynamic_security/fast:
	$(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build
.PHONY : mosquitto_dynamic_security/fast

#=============================================================================
# Target rules for targets named mosquitto_message_timestamp

# Build rule for target.
mosquitto_message_timestamp: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_message_timestamp
.PHONY : mosquitto_message_timestamp

# fast build rule for target.
mosquitto_message_timestamp/fast:
	$(MAKE) $(MAKESILENT) -f plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/build.make plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/build
.PHONY : mosquitto_message_timestamp/fast

#=============================================================================
# Target rules for targets named mosquitto_payload_modification

# Build rule for target.
mosquitto_payload_modification: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_payload_modification
.PHONY : mosquitto_payload_modification

# fast build rule for target.
mosquitto_payload_modification/fast:
	$(MAKE) $(MAKESILENT) -f plugins/payload-modification/CMakeFiles/mosquitto_payload_modification.dir/build.make plugins/payload-modification/CMakeFiles/mosquitto_payload_modification.dir/build
.PHONY : mosquitto_payload_modification/fast

#=============================================================================
# Target rules for targets named mosquitto_ctrl.1

# Build rule for target.
mosquitto_ctrl.1: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_ctrl.1
.PHONY : mosquitto_ctrl.1

# fast build rule for target.
mosquitto_ctrl.1/fast:
	$(MAKE) $(MAKESILENT) -f man/CMakeFiles/mosquitto_ctrl.1.dir/build.make man/CMakeFiles/mosquitto_ctrl.1.dir/build
.PHONY : mosquitto_ctrl.1/fast
