=== obj-x86_64-linux-gnu/lib/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/lib//CMakeFiles/progress.marks
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lib/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lib/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lib/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lib/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
lib/CMakeFiles/libmosquitto.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lib/CMakeFiles/libmosquitto.dir/rule
.PHONY : lib/CMakeFiles/libmosquitto.dir/rule

# Convenience name for target.
libmosquitto: lib/CMakeFiles/libmosquitto.dir/rule
.PHONY : libmosquitto

# fast build rule for target.
libmosquitto/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/build
.PHONY : libmosquitto/fast

actions.o: actions.c.o
.PHONY : actions.o

# target to build an object file
actions.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/actions.c.o
.PHONY : actions.c.o

actions.i: actions.c.i
.PHONY : actions.i

# target to preprocess a source file
actions.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/actions.c.i
.PHONY : actions.c.i

actions.s: actions.c.s
.PHONY : actions.s

# target to generate assembly for a file
actions.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/actions.c.s
.PHONY : actions.c.s

callbacks.o: callbacks.c.o
.PHONY : callbacks.o

# target to build an object file
callbacks.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/callbacks.c.o
.PHONY : callbacks.c.o

callbacks.i: callbacks.c.i
.PHONY : callbacks.i

# target to preprocess a source file
callbacks.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/callbacks.c.i
.PHONY : callbacks.c.i

callbacks.s: callbacks.c.s
.PHONY : callbacks.s

# target to generate assembly for a file
callbacks.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/callbacks.c.s
.PHONY : callbacks.c.s

connect.o: connect.c.o
.PHONY : connect.o

# target to build an object file
connect.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/connect.c.o
.PHONY : connect.c.o

connect.i: connect.c.i
.PHONY : connect.i

# target to preprocess a source file
connect.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/connect.c.i
.PHONY : connect.c.i

connect.s: connect.c.s
.PHONY : connect.s

# target to generate assembly for a file
connect.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/connect.c.s
.PHONY : connect.c.s

handle_auth.o: handle_auth.c.o
.PHONY : handle_auth.o

# target to build an object file
handle_auth.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/handle_auth.c.o
.PHONY : handle_auth.c.o

handle_auth.i: handle_auth.c.i
.PHONY : handle_auth.i

# target to preprocess a source file
handle_auth.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/handle_auth.c.i
.PHONY : handle_auth.c.i

handle_auth.s: handle_auth.c.s
.PHONY : handle_auth.s

# target to generate assembly for a file
handle_auth.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/handle_auth.c.s
.PHONY : handle_auth.c.s

handle_connack.o: handle_connack.c.o
.PHONY : handle_connack.o

# target to build an object file
handle_connack.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/handle_connack.c.o
.PHONY : handle_connack.c.o

handle_connack.i: handle_connack.c.i
.PHONY : handle_connack.i

# target to preprocess a source file
handle_connack.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/handle_connack.c.i
.PHONY : handle_connack.c.i
