=== obj-x86_64-linux-gnu/apps/mosquitto_passwd/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/apps/mosquitto_passwd//CMakeFiles/progress.marks
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/mosquitto_passwd/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/mosquitto_passwd/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/mosquitto_passwd/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/mosquitto_passwd/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/rule
.PHONY : apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/rule

# Convenience name for target.
mosquitto_passwd: apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/rule
.PHONY : mosquitto_passwd

# fast build rule for target.
mosquitto_passwd/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build
.PHONY : mosquitto_passwd/fast

__/__/lib/memory_mosq.o: __/__/lib/memory_mosq.c.o
.PHONY : __/__/lib/memory_mosq.o

# target to build an object file
__/__/lib/memory_mosq.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/lib/memory_mosq.c.o
.PHONY : __/__/lib/memory_mosq.c.o

__/__/lib/memory_mosq.i: __/__/lib/memory_mosq.c.i
.PHONY : __/__/lib/memory_mosq.i

# target to preprocess a source file
__/__/lib/memory_mosq.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/lib/memory_mosq.c.i
.PHONY : __/__/lib/memory_mosq.c.i

__/__/lib/memory_mosq.s: __/__/lib/memory_mosq.c.s
.PHONY : __/__/lib/memory_mosq.s

# target to generate assembly for a file
__/__/lib/memory_mosq.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/lib/memory_mosq.c.s
.PHONY : __/__/lib/memory_mosq.c.s

__/__/lib/misc_mosq.o: __/__/lib/misc_mosq.c.o
.PHONY : __/__/lib/misc_mosq.o

# target to build an object file
__/__/lib/misc_mosq.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/lib/misc_mosq.c.o
.PHONY : __/__/lib/misc_mosq.c.o

__/__/lib/misc_mosq.i: __/__/lib/misc_mosq.c.i
.PHONY : __/__/lib/misc_mosq.i

# target to preprocess a source file
__/__/lib/misc_mosq.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/lib/misc_mosq.c.i
.PHONY : __/__/lib/misc_mosq.c.i

__/__/lib/misc_mosq.s: __/__/lib/misc_mosq.c.s
.PHONY : __/__/lib/misc_mosq.s

# target to generate assembly for a file
__/__/lib/misc_mosq.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/lib/misc_mosq.c.s
.PHONY : __/__/lib/misc_mosq.c.s

__/__/src/memory_public.o: __/__/src/memory_public.c.o
.PHONY : __/__/src/memory_public.o

# target to build an object file
__/__/src/memory_public.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/src/memory_public.c.o
.PHONY : __/__/src/memory_public.c.o

__/__/src/memory_public.i: __/__/src/memory_public.c.i
.PHONY : __/__/src/memory_public.i

# target to preprocess a source file
__/__/src/memory_public.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/src/memory_public.c.i
.PHONY : __/__/src/memory_public.c.i

__/__/src/memory_public.s: __/__/src/memory_public.c.s
.PHONY : __/__/src/memory_public.s

# target to generate assembly for a file
__/__/src/memory_public.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/src/memory_public.c.s
.PHONY : __/__/src/memory_public.c.s

__/__/src/password_mosq.o: __/__/src/password_mosq.c.o
.PHONY : __/__/src/password_mosq.o

# target to build an object file
__/__/src/password_mosq.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/src/password_mosq.c.o
.PHONY : __/__/src/password_mosq.c.o
