=== obj-x86_64-linux-gnu/plugins/dynamic-security/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/plugins/dynamic-security//CMakeFiles/progress.marks
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/dynamic-security/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/dynamic-security/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/dynamic-security/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/dynamic-security/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/rule
.PHONY : plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/rule

# Convenience name for target.
mosquitto_dynamic_security: plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/rule
.PHONY : mosquitto_dynamic_security

# fast build rule for target.
mosquitto_dynamic_security/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build
.PHONY : mosquitto_dynamic_security/fast

acl.o: acl.c.o
.PHONY : acl.o

# target to build an object file
acl.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/acl.c.o
.PHONY : acl.c.o

acl.i: acl.c.i
.PHONY : acl.i

# target to preprocess a source file
acl.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/acl.c.i
.PHONY : acl.c.i

acl.s: acl.c.s
.PHONY : acl.s

# target to generate assembly for a file
acl.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/acl.c.s
.PHONY : acl.c.s

auth.o: auth.c.o
.PHONY : auth.o

# target to build an object file
auth.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/auth.c.o
.PHONY : auth.c.o

auth.i: auth.c.i
.PHONY : auth.i

# target to preprocess a source file
auth.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/auth.c.i
.PHONY : auth.c.i

auth.s: auth.c.s
.PHONY : auth.s

# target to generate assembly for a file
auth.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/auth.c.s
.PHONY : auth.c.s

clientlist.o: clientlist.c.o
.PHONY : clientlist.o

# target to build an object file
clientlist.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/clientlist.c.o
.PHONY : clientlist.c.o

clientlist.i: clientlist.c.i
.PHONY : clientlist.i

# target to preprocess a source file
clientlist.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/clientlist.c.i
.PHONY : clientlist.c.i

clientlist.s: clientlist.c.s
.PHONY : clientlist.s

# target to generate assembly for a file
clientlist.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/clientlist.c.s
.PHONY : clientlist.c.s

clients.o: clients.c.o
.PHONY : clients.o

# target to build an object file
clients.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/clients.c.o
.PHONY : clients.c.o

clients.i: clients.c.i
.PHONY : clients.i

# target to preprocess a source file
clients.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/clients.c.i
.PHONY : clients.c.i

clients.s: clients.c.s
.PHONY : clients.s

# target to generate assembly for a file
clients.c.s:
