=== debian/changelog ===
mosquitto (2.0.15-2) unstable; urgency=medium

  [ Philippe Coval ]
  * debian/tests/control: Fix tests
  * debian/patches: Refresh missing-test.patch bypass 06 test

  [ Gianfranco Costamagna ]
  * Add manpages to clean target, they are autogenerated

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Jul 2023 11:17:58 +0200

mosquitto (2.0.15-1) unstable; urgency=medium

  [ Philippe Coval ]
  * New upstream release (Closes: #993400)
  * debian/patches: Drop Fix-CONNECT...patch
  * debian/patches: Drop ssl-sslcontext-wrap_socket.patch
  * debian/patches: Refresh 1571.patch
  * debian/patches: Refresh deb-test.patch
  * debian/control: Transfer maintenance to team
  * debian/gbp.conf: Build on tag
  * debian/watch: Fix Lintian by scanning from git
  * debian/control: Bump standards
  * debian/control: Add Rules-Requires-Root Field
  * debian/mosquitto.lintian-overrides: Ignore lws spelling
  * debian/mosquitto.lintian-overrides: Ignore upstream spelling
  * debian/control: Fix lintian d-on-obsolete-package : lsb to sysV
  * d/mosquitto.lintian-overrides: Hide h-in-library-directory-missing-soname
  * d/libmosquittopp1.lintian-overrides: Silent library-not-linked-against-libc
  * debian/control: Add missing Pre-depends for systemd
  * debian/rules: Add hardening flags
  * debian/mosquitto.lintian-overrides: Relocate groff-message warning
  * debian/libmosquitto*.symbols: Fix Lintian symbols-file-m-b-d-p-field
  * debian/rules: Fix lintian debug-symbol-migration-possibly-complete
  * debian/mosquitto.triggers: Remove ldconfig step
  * debian/control: Fix cme lint libssl-dev dep
  * debian/control: Fix cme lint Multi-Arch

  [ наб ]
  * debian/mosquitto.postrm: Purge user (Closes: #1032200)

  [ Gianfranco Costamagna ]
  * upload to sid

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2023 12:10:52 +0200

mosquitto (2.0.11-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CONNECT performance with many user-properties (CVE-2021-41039)
    (Closes: #1001028)
  * debian/tests/broker: Make all test python scripts executable

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 29 Dec 2022 13:38:30 +0100

mosquitto (2.0.11-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Olivier Gayot ]
  * Fix autopkgtest failure when running against Python 3.10 (Closes:
    #1009096) (LP: #1960214)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 16 Apr 2022 17:17:54 +0200
